%global uuid    com.github.calo001.%{oname}

%define oname fondo

Name:           mate-fondo
Version:        1.3.9
Release:        %mkrel 1
Summary:        Find the most beautiful wallpapers
Group:          Graphical desktop/MATE
License:        AGPLv3+
URL:            https://github.com/calo001/fondo
Source0:        %{url}/archive/%{version}/%{oname}-%{version}.tar.xz

BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  lib64appstream-devel
BuildRequires:  meson
BuildRequires:  vala
BuildRequires:  pkgconfig(granite)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libsoup-2.4)

Requires:       hicolor-icon-theme

%description
Find a variety of the most beautiful wallpapers from Unsplash.com the world’s
most generous community of photographers.

Fondo allows you to see thousands of beautiful photographs from the most recent
to the one you are to looking for. Give a simple click on a picture to set as
your MATE wallpaper, wait until the download is complete and enjoy!

Have a simple and elegant interface, you can change from light mode to dark mode
as you prefer.


%prep
%setup -qn %{oname}-%{version}


%build
%meson
%meson_build


%install
%meson_install
%find_lang %{uuid}

desktop-file-install --vendor="" \
    --add-category="X-MandrivaLinux-Multimedia-Graphics" \
	--dir %buildroot%{_datadir}/applications \
	%buildroot%{_datadir}/applications/*.desktop

%files -f %{uuid}.lang
%{_bindir}/%{uuid}
%{_datadir}/Fondo/
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/pixmaps/*.png
%{_datadir}/metainfo/*.xml

%post
%update_menus

%postun
%clean_menus


%changelog
* Tue Sep 08 2020 tex - 1.3.9-1pclos2020
- create pkg
